Rust 1.52.0-beta.1
6a1077d47

# Functions

There is a new edition of the book and this is an old link.

> Function definitions in Rust start with `fn` and have a set of parentheses after the function name. The curly brackets tell the compiler where the function body begins and ends. We can call any function we’ve defined by entering its name followed by a set of parentheses.

    fn main() {
        println!("Hello, world!");

        another_function();
    }

    fn another_function() {
        println!("Another function.");
    }

Run

Here are the relevant sections in the new and old books:

- In the first edition: Ch 3.2 — Functions
- in the current edition: Ch 3.03 — Functions